# 带loading 的提交按钮

---

## 说明

> 当表单提交的时候  loading , 提交完成， 或者有带提示语句的，使用done()去掉loading 效果

### 路径

> src/components/SubmitButton

---

#### 使用

```vue
   <sub-button  auto-loading @click="submit">保存</sub-button>

```
```
// 引入
import SubButton from "@/components/SubmitButton/index.vue";
 components: {
    SubButton
  },
```

```
//  使用
  submit(done) {
    // 这里供业务组件处理一些事情,比如ajax请求
    执行done()方法消失loading
      setTimeout(() => {
        done()
      }, 1000)
    }
  }
```
---

###  例子
view/vplat/videoPlanManagement/addVplanDialog

### 参数说明

| 参数         | 类型     | 可选 | 说明                                                     |
|--------------|----------|------|----------------------------------------------------------|
| auto-loading     | Boolean   | 是   | 父级url                                 | 

### 使用说明
当你想提交表单的时候 我们经常遇到一个 重复点击的问题,点太快了接口没有返回会导致多次重复请求，这个时候我们就可以使用这个组件， 先在项目引入，如： <sub-button  auto-loading @click="submit">保存</sub-button>，
接着提交触发click 方法， 有一个回调函数done，在你想要的时候使用这个回调函数， 比如提示语句后或者ajax请求后 done()